<?php
namespace Schaffen\BankIntegration\Contracts\Cnab\Conciliacao\Cnab240;

interface Header
{

    /**
     * @return int
     */
    public function getCodBanco();

    /**
     * @return integer
     */
    public function getLoteServico();

    /**
     * @return string
     */
    public function getTipoRegistro();

    /**
     * @return string
     */
    public function getTipoInscricao();

    /**
     * @return string
     */
    public function getNumeroInscricao();

    /**
     * @return string
     */
    public function getConvenio();

    /**
     * @return string
     */
    public function getAgencia();

    /**
     * @return string
     */
    public function getAgenciaDv();

    /**
     * @return string
     */
    public function getConta();

    /**
     * @return string
     */
    public function getContaDv();

    /**
     * @return string
     */
    public function getNomeEmpresa();

    /**
     * @return string
     */
    public function getNomeBanco();

    /**
     * @return int
     */
    public function getCodigoRemessaRetorno();

    // /**
    //  * @param string $format
    //  *
    //  * @return string
    //  */
    // public function getData($format = 'd/m/Y');

    /**
     * @return string
     */
    public function getData();

    /**
     * @return string
     */
    public function getHora();

    /**
     * @return string
     */
    public function getNumeroSequencialArquivo();

    /**
     * @return string
     */
    public function getVersaoLayoutArquivo();


    

    /**
     * @return array
     */
    public function toArray();
}
